    <div class="modal-header">
        <h6 class="modal-title" id="myInventoryItemLabel" jhiTranslate="mpmApp.inventoryItem.home.createOrEditLabel">Create or edit a Inventory Item</h6>
        <!-- <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button> -->
    </div>
    
    <div class="modal-body">
        <p-dataTable
            [value]="requestItems"
            [editable]="true"
            [rows]="itemsPerPage"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]" 
            [totalRecords]="totalItems" 
            [responsive]="true" 
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItems"
            rowHover="true"
            dataKey="idRequestItem" 
            (onLazyLoad)="loadDataLazy($event)">
            <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.requestItem.productName'|translate}}" field="productName" [editable]="false">
            </p-column>
            <p-column header="{{'mpmApp.requestItem.description'|translate}}" field="description" [editable]="false">
            </p-column>
            <p-column header="{{'mpmApp.requestItem.qtyReq'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyReq | number: '.0-2'}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.requestItem.qtyTransfer'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyTransfer | number: '.0-2'}}
                </ng-template>
            </p-column>
            <p-column header="{{'mpmApp.requestItem.request'|translate}}" *ngIf="idRequest === undefined">
                <ng-template let-rowData="rowData" pTemplate="body">
                    <div *ngIf="rowData.requestId">
                        <a [routerLink]="['../request', rowData.requestId  ]" >{{rowData.requestId}}</a>
                    </div>
                </ng-template>
            </p-column>
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
    </div>